Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/BudgetItem/Temp/FrmBudgetItemAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/BudgetItem/Temp/FrmBudgetItemAux.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/BudgetItem/Temp/FrmBudgetItemAux.cs	(revision 352)
@@ -0,0 +1,653 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Linq;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.Master
+{
+    public partial class FrmBudgetItem
+    {
+
+        #region 画面ロック
+        /// <summary>
+        /// 画面ロック
+        /// </summary>
+        private void ControlLock(bool bctrl = true)
+        {
+            try
+            {
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 画面クリア
+        /// <summary>
+        /// 画面クリア
+        /// </summary>
+        private void ClearDispEditArea()
+        {
+            try
+            {
+                LblTitle.Text = string.Empty;
+                dgvEdit.Rows.Clear();
+                cmbSelectData.DataSource = null;
+                cmbSelectData.Items.Clear();
+                cmbSelectData.Text = "";
+
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 取得データ並び
+        /// <summary>
+        /// 取得データ並び
+        /// </summary>
+        private enum GetData
+        {
+            BlockCode = 0,
+            GroupCode,
+            SeqNo,
+            ComponentCode,
+            ComponentName,
+        }
+        #endregion
+
+        #region データ取得SQL作成
+        /// <summary>
+        /// データ取得SQL作成
+        /// </summary>
+        private void CreateGetDataSQL(ref StringBuilder strSQL, int nGrpCode = -1)
+        {
+            try
+            {
+                // 予算書集計コードマスタ取得SQL作成
+                strSQL.Append("Select");
+                strSQL.Append(" A.BlockCode");
+                strSQL.Append(", A.GroupCode");
+                strSQL.Append(", A.ComponentCode");
+                strSQL.Append(", B.ComponentName");
+                strSQL.Append(" From");
+                strSQL.Append(" budgetsumcode As A");
+                strSQL.Append(" Left Join componentmaster As B");
+                strSQL.Append("       On B.ComponentCode = A.ComponentCode");
+
+                // 初期表示一覧以外の場合
+                if (nGrpCode > -1)
+                {
+                    strSQL.AppendFormat(" Where A.GroupCount = {0}", nGrpCode);
+                }
+
+                strSQL.Append(" Order by A.BlockCode Asc, A.GroupCode Asc");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 初期時データ取得
+        /// <summary>
+        /// 初期時データ取得
+        /// </summary>
+        private bool DispGridData()
+        {
+            IOMBudgetSumCode ebcDB = new IOMBudgetSumCode();
+            try
+            {
+                // 予算書集計コードマスタ取得
+                StringBuilder strSQL = new StringBuilder();
+                // データ取得SQL作成
+                CreateGetDataSQL(ref strSQL);
+
+                ArrayList bscList = new ArrayList();
+                if (!ebcDB.ExecuteReader(strSQL.ToString(), ref bscList)) return false;
+
+                DataGridView dgv = dgvList;
+                dgv.Rows.Clear();
+
+                // 工事費
+                SetBlkTitleRow((int)BlockNo.TotalCosts);
+                // 処分費等
+                ExistsDataDisp(bscList, (int)BlockNo.TotalCosts, (int)GroupNo.Dispose);
+
+                // 工事価格
+                SetBlkTitleRow((int)BlockNo.ConstructionPrice);
+                // 一般管理費
+                ExistsDataDisp(bscList, (int)BlockNo.ConstructionPrice, (int)GroupNo.UsualManage);
+
+                // 工事原価
+                SetBlkTitleRow((int)BlockNo.ConstructionCosts);
+                // 現場管理費
+                ExistsDataDisp(bscList, (int)BlockNo.ConstructionCosts, (int)GroupNo.FieldManage);
+
+                // 純工事費
+                SetBlkTitleRow((int)BlockNo.NetConstruction);
+                // 共通仮設費
+                ExistsDataDisp(bscList, (int)BlockNo.NetConstruction, (int)GroupNo.CommonTemp);
+
+                //// 直接工事費
+                //SetBlkTitleRow((int)BlockNo.DirectConstruction);
+                //// 解体工事費
+                //ExistsDataDisp(bscList, (int)BlockNo.DirectConstruction, (int)GroupNo.DemolitionWork);
+                //// 建築工事費
+                //ExistsDataDisp(bscList, (int)BlockNo.DirectConstruction, (int)GroupNo.ConstrWork);
+                //// 電気設備工事費
+                //ExistsDataDisp(bscList, (int)BlockNo.DirectConstruction, (int)GroupNo.ElectricalWork);
+                //// 機械設備工事費
+                //ExistsDataDisp(bscList, (int)BlockNo.DirectConstruction, (int)GroupNo.MachineryWork);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ebcDB.close(); ebcDB = null;
+            }
+        }
+        #endregion
+
+        #region ブロックタイトル行セット
+        /// <summary>
+        /// ブロックタイトル行セット
+        /// </summary>
+        private void SetBlkTitleRow(int nBlkCode)
+        {
+            try
+            {
+                DataGridView dgv = dgvList;
+                // 行追加
+                int RowCnt = dgv.Rows.Add(1);
+
+                // ナンバー取得
+                DataGridViewRow[] TargetRow = dgv.Rows.Cast<DataGridViewRow>()
+                                                        .Where(x => CommonMotions.cnvInt(x.Cells[(int)DispListCol.DataType].Value) == (int)DataTypeDef.BlockTitle)
+                                                        .ToArray();
+                int nNo = 1;
+                if (TargetRow.Length > 0) nNo = TargetRow.Length + 1;
+
+                // タイトルセット
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.DispOrder].Value = nNo;
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.NameString].Value = BlockTitle[nBlkCode];
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.DataType].Value = (int)DataTypeDef.BlockTitle;
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.BlockCode].Value = nBlkCode;
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.GroupCode].Value = 0;
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.KeyCode].Value = 0;
+
+                // タイトル色変更
+                for (int i = 0; i < dgv.ColumnCount; i++)
+                {
+                    dgv.Rows[RowCnt].Cells[i].Style.BackColor = Color.BurlyWood;
+                    dgv.Rows[RowCnt].Cells[i].Style.ForeColor = Color.Black;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グループタイトル行セット
+        /// <summary>
+        /// グループタイトル行セット
+        /// </summary>
+        private void SetGrpTitleRow(int nBlockCode, int nGrpCode)
+        {
+            try
+            {
+                DataGridView dgv = dgvList;
+                // 行追加
+                int RowCnt = dgv.Rows.Add(1);
+
+                // ナンバー取得
+                DataGridViewRow[] BlkRow = dgv.Rows.Cast<DataGridViewRow>()
+                                                        .Where(x => CommonMotions.cnvInt(x.Cells[(int)DispListCol.BlockCode].Value) == nBlockCode
+                                                        && CommonMotions.cnvInt(x.Cells[(int)DispListCol.DataType].Value) == (int)DataTypeDef.BlockTitle)
+                                                        .ToArray();
+
+                DataGridViewRow[] GrpRow = dgv.Rows.Cast<DataGridViewRow>()
+                                                        .Where(x => CommonMotions.cnvInt(x.Cells[(int)DispListCol.BlockCode].Value) == nBlockCode
+                                                        && CommonMotions.cnvInt(x.Cells[(int)DispListCol.DataType].Value) == (int)DataTypeDef.GroupTitle)
+                                                        .ToArray();
+                int nBLkNo = CommonMotions.cnvInt(BlkRow[0].Cells[(int)DispListCol.DispOrder].Value);
+                int nNo = 1;
+                if (GrpRow.Length > 0) nNo = GrpRow.Length + 1;
+
+                // タイトルセット
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.DispOrder].Value = string.Format("{0}-{1}", nBLkNo, nNo);
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.NameString].Value = GroupTitle[nGrpCode];
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.DataType].Value = (int)DataTypeDef.GroupTitle;
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.BlockCode].Value = nBlockCode;
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.GroupCode].Value = nGrpCode;
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.KeyCode].Value = 0;
+
+                // タイトル色変更
+                for (int i = 0; i < dgv.ColumnCount; i++)
+                {
+                    dgv.Rows[RowCnt].Cells[i].Style.BackColor = Color.LightGray;
+                    dgv.Rows[RowCnt].Cells[i].Style.ForeColor = Color.Black;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 対象工事表示処理
+        /// <summary>
+        /// 対象工事表示処理
+        /// </summary>
+        private void ExistsDataDisp(ArrayList bscList, int nBlockCode, int nGroupCode)
+        {
+            DataGridView dgv = dgvList;
+            try
+            {
+                // タイトルセット
+                SetGrpTitleRow(nBlockCode, nGroupCode);
+
+                foreach (object[] CurRec in bscList)
+                {
+                    int nBlkCnt = CommonMotions.cnvInt(CurRec[(int)GetData.BlockCode]);
+                    int nGrpCnt = CommonMotions.cnvInt(CurRec[(int)GetData.GroupCode]);
+
+                    // 対象行以外は処理しない
+                    if (nBlkCnt != nBlockCode) continue;
+                    if (nGrpCnt != nGroupCode) continue;
+
+                    // 行追加
+                    int RowCnt = dgv.Rows.Add(1);
+
+                    // データセット
+                    dgv.Rows[RowCnt].Cells[(int)DispListCol.DataType].Value = (int)DataTypeDef.DataRow;
+                    dgv.Rows[RowCnt].Cells[(int)DispListCol.BlockCode].Value = nBlockCode;
+                    dgv.Rows[RowCnt].Cells[(int)DispListCol.GroupCode].Value = nGroupCode;
+
+                    int nCompCode = -1;
+                    string strConstrName = string.Empty;
+                    nCompCode = CommonMotions.cnvInt(CurRec[(int)GetData.ComponentCode]);
+                    strConstrName = CommonMotions.cnvString(CurRec[(int)GetData.ComponentName]);
+
+                    dgv.Rows[RowCnt].Cells[(int)DispListCol.KeyCode].Value = nCompCode;
+                    dgv.Rows[RowCnt].Cells[(int)DispListCol.NameString].Value = strConstrName;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 行追加
+                int RowCnt = dgv.Rows.Add(1);
+                dgv.Rows[RowCnt].Cells[(int)DispListCol.DataType].Value = (int)DataTypeDef.Empty;
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            try
+            {
+
+
+                return bRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 予算書集計コードマスタ登録
+        /// <summary>
+        /// 予算書集計コードマスタ登録
+        /// </summary>
+        private bool DataEntry()
+        {
+            IOMBudgetSumCode bscDB = new IOMBudgetSumCode();
+            try
+            {
+                if (MessageBox.Show("予算書集計コードマスタを更新します、よろしいですか？"
+                                    , "登録確認"
+                                    , MessageBoxButtons.YesNo
+                                    , MessageBoxIcon.Question) != DialogResult.Yes) return false;
+
+                DataGridView dgv = dgvEdit;
+
+                int nGrpNo = 0;
+                List<BudgetSumCode> bscList = new List<BudgetSumCode>();
+                foreach (DataGridViewRow CurRow in dgv.Rows)
+                {
+                    BudgetSumCode wrkRec = new BudgetSumCode();
+
+                    wrkRec.BlockCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispEditCol.BlockCode].Value);   // ブロック番号
+                    wrkRec.GroupCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispEditCol.GroupCode].Value);   // グループ番号
+                    wrkRec.ComponentCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispEditCol.KeyCode].Value);  // 構成キー
+
+                    nGrpNo = wrkRec.GroupCode;
+                    bscList.Add(wrkRec);
+                }
+                if (bscList.Count < 1) return true;
+
+                // Transaction
+                bscDB.connect();bscDB.beginTran();
+
+                StringBuilder strSQL = new StringBuilder();
+                
+                // グループ単位でデータ削除
+                strSQL.Append(bscDB.CreatePrimarykeyString(nGrpNo));
+                bscDB.DeleteAction(strSQL.ToString(), false);
+
+                // 一括登録
+                if(!bscDB.InsertAction(bscList, false))
+                {
+                    bscDB.rollback();
+                    MessageBox.Show("予算書集計コードマスタ登録エラーです。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                bscDB.commit();
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                bscDB.close(); bscDB = null;
+            }
+        }
+        #endregion
+
+        #region 編集データ表示処理
+        /// <summary>
+        /// 編集データ表示処理
+        /// </summary>
+        private void DispEditData()
+        {
+            IOMBudgetSumCode bscDB = new IOMBudgetSumCode();
+            try
+            {
+                // 画面クリア
+                ClearDispEditArea();
+
+                DataGridView dgvL = dgvList;
+                // カレント行取得
+                DataGridViewRow CurRow = dgvL.CurrentRow;
+                int nGrpCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispListCol.GroupCode].Value);
+                if (nGrpCode < 1) return;
+
+                // 処理タイトル取得
+                DataGridViewRow TitleRow = dgvL.Rows.Cast<DataGridViewRow>().First(x => CommonMotions.cnvInt(x.Cells[(int)DispListCol.GroupCode].Value) == nGrpCode);
+                LblTitle.Text = CommonMotions.cnvString(TitleRow.Cells[(int)DispListCol.NameString].Value);
+
+                StringBuilder strSQL = new StringBuilder();
+                // データ取得SQL作成
+                CreateGetDataSQL(ref strSQL, nGrpCode);
+
+                ArrayList bscList = new ArrayList();
+                if (!bscDB.ExecuteReader(strSQL.ToString(), ref bscList)) return;
+
+                DataGridView dgvE = dgvEdit;
+
+                int nNo = 0;
+                foreach (object[] CurRec in bscList)
+                {
+                    // 行追加
+                    int RowCnt = dgvE.Rows.Add(1);
+
+                    // データセット
+                    dgvE.Rows[RowCnt].Cells[(int)DispEditCol.DispOrder].Value = ++nNo;
+                    dgvE.Rows[RowCnt].Cells[(int)DispEditCol.GroupCode].Value = nGrpCode;
+                    int nCompCode = -1;
+                    string strConstrName = string.Empty;
+                            nCompCode = CommonMotions.cnvInt(CurRec[(int)GetData.ComponentCode]);
+                            strConstrName = CommonMotions.cnvString(CurRec[(int)GetData.ComponentName]);
+
+                    dgvE.Rows[RowCnt].Cells[(int)DispEditCol.KeyCode].Value = nCompCode;
+                    dgvE.Rows[RowCnt].Cells[(int)DispEditCol.NameString].Value = strConstrName;
+
+                }
+
+                // 構成項目コンボボックスセット
+                    SetcmbSelectDataCompo();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                bscDB.close(); bscDB = null;
+            }
+        }
+        #endregion
+
+        #region 工事種別コンボボックスセット
+        /// <summary>
+        /// 工事種別コンボボックスセット
+        /// </summary>
+        private void SetcmbSelectDataType()
+        {
+            IOMConstructionType typeDB = new IOMConstructionType();
+            try
+            {
+                // 工事種別マスタを検索する
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" Where DeleteFlg = {0}", (int)CommonDefine.DataRowDeleteDef.Exists);
+                strSQL.Append(" Order By DisplayOrder Asc, TypeCode Asc");
+
+                // 工事種別マスタ読込
+                List<ConstructionTypeMaster> arList = new List<ConstructionTypeMaster>();
+                if (!typeDB.SelectAction(strSQL.ToString(), ref arList)) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (ConstructionTypeMaster work in arList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.TypeCode, work.NameString);
+                    DataList.Add(keyval);
+                }
+
+                cmbSelectData.DataSource = null;
+                cmbSelectData.Items.Clear();
+                cmbSelectData.Text = "";
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbSelectData, DataList);
+
+                cmbSelectData.SelectedValue = 0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                typeDB.close(); typeDB = null;
+            }
+        }
+        #endregion
+
+        #region 構成項目コンボボックスセット
+        /// <summary>
+        /// 構成項目コンボボックスセット
+        /// </summary>
+        private void SetcmbSelectDataCompo()
+        {
+            IOMComponent compDB = new IOMComponent();
+            try
+            {
+                // 構成項目マスタを検索する
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" Where DeleteFlg = {0}", (int)CommonDefine.DataRowDeleteDef.Exists);
+                strSQL.Append(" Order By DisplayOrder Asc, ComponentCode Asc");
+
+                // 構成項目マスタ読込
+                List<ComponentMaster> arList = new List<ComponentMaster>();
+                if (!compDB.SelectAction(strSQL.ToString(), ref arList)) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (ComponentMaster work in arList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.ComponentCode, work.ComponentName);
+                    DataList.Add(keyval);
+                }
+
+                cmbSelectData.DataSource = null;
+                cmbSelectData.Items.Clear();
+                cmbSelectData.Text = "";
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbSelectData, DataList);
+
+                cmbSelectData.SelectedValue = 0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                compDB.close(); compDB = null;
+            }
+        }
+        #endregion
+
+        #region 行データの追加
+        /// <summary>
+        /// 行データの追加
+        /// </summary>
+        private void AddRowData()
+        {
+            try
+            {
+                DataGridView dgv = dgvEdit;
+
+                // 選択エラー
+                int CompCode = CommonMotions.cnvInt(cmbSelectData.SelectedValue);
+                if (CompCode < 1)
+                {
+                    MessageBox.Show("データが選択されていません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 存在確認
+                DataGridViewRow[] FindRow = dgv.Rows.Cast<DataGridViewRow>().Where(x => CommonMotions.cnvInt(x.Cells[(int)DispEditCol.KeyCode].Value) == CompCode).ToArray();
+                if (FindRow.Count() > 0)
+                {
+                    MessageBox.Show("既に選択されています。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 選択データグループ取得
+                DataGridView dgvL = dgvList;
+                int nGrpCode = CommonMotions.cnvInt(dgvL.CurrentRow.Cells[(int)DispEditCol.GroupCode].Value);
+
+                // 行追加
+                int RowCnt = dgv.Rows.Add(1);
+                int nNo = dgv.RowCount;
+
+                dgv.Rows[RowCnt].Cells[(int)DispEditCol.DispOrder].Value = nNo;
+                dgv.Rows[RowCnt].Cells[(int)DispEditCol.GroupCode].Value = nGrpCode;
+                dgv.Rows[RowCnt].Cells[(int)DispEditCol.KeyCode].Value = CompCode;
+                dgv.Rows[RowCnt].Cells[(int)DispEditCol.NameString].Value = CommonMotions.cnvString(cmbSelectData.Text);
+
+                m_bChengeAns = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 行データの削除
+        /// <summary>
+        /// 行データの削除
+        /// </summary>
+        private void DelRowData()
+        {
+            try
+            {
+                DataGridView dgv = dgvEdit;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+
+                // 選択エラー
+                int GrpCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispEditCol.GroupCode].Value);
+                int CompCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispEditCol.KeyCode].Value);
+                if (GrpCode < 1 || CompCode < 1)
+                {
+                    MessageBox.Show("データが選択されていません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 選択確認
+                if (MessageBox.Show("選択された行を削除します。\r\nよろしいでしょうか？", "選択確認",
+                                    MessageBoxButtons.OKCancel, MessageBoxIcon.Question) == DialogResult.Cancel) return;
+
+                // 行削除
+                dgv.Rows.RemoveAt(CurRow.Index);
+
+                // ナンバー更新
+                int nCnt = 0;
+                foreach(DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    wrkRow.Cells[(int)DispEditCol.DispOrder].Value = ++nCnt;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs	(revision 352)
@@ -654,12 +654,6 @@
                     lblStaticItemCode.Visible = true;
                     lblItemCode.Visible = true;
                 }
-                // 工事種別グリッドクリア
-                dgvTypeList.Rows.Clear();
-                // 初期行表示
-                dgvTypeList.Rows.Add(8);
-                // グリッドロック
-                dgvTypeList.Enabled = false;
 
                 // コンボボックス初期値セット
                 cmbSubItems.SelectedIndex = -1;
